org.objectweb.util.ant

## Class MultipleAnt

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Ant
      - - org.objectweb.util.ant.MultipleAnt

All Implemented Interfaces:
  FilenameFilter, Cloneable

    public class MultipleAnt
    extends org.apache.tools.ant.taskdefs.Ant
    implements FilenameFilter

This task calls all xml files into the specified Dir

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Ant

`org.apache.tools.ant.taskdefs.Ant.Reference, org.apache.tools.ant.taskdefs.Ant.TargetElement`

### Field Summary

Fields
`protected String` `antFile`
`protected File` `directory`
`protected org.apache.tools.ant.types.FileSet` `fileset`
`protected String` `target`
`protected boolean` `useDefaultExcludes`

### Fields inherited from class org.apache.tools.ant.Task

`taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`MultipleAnt()`

### Method Summary

Methods
`boolean` `accept(File dir, String name)` This method is used to chack if a file is a xml file.
`org.apache.tools.ant.types.PatternSet.NameEntry` `createExclude()` add a name entry on the exclude list
`org.apache.tools.ant.types.PatternSet.NameEntry` `createExcludesFile()` add a name entry on the include files list
`org.apache.tools.ant.types.PatternSet.NameEntry` `createInclude()` add a name entry on the include list
`org.apache.tools.ant.types.PatternSet.NameEntry` `createIncludesFile()` add a name entry on the include files list
`org.apache.tools.ant.types.PatternSet` `createPatternSet()` add a set of patterns
`void` `execute()` Search all files in the directory.
`protected org.apache.tools.ant.DirectoryScanner` `getDirectoryScanner(File baseDir)` Returns the directory scanner needed to access the files to process.
`void` `setAntFile(String f)`
`void` `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
`void` `setDir(File d)` Set the directory where find xml file(s).
`void` `setExcludes(String excludes)` Sets the set of exclude patterns.
`void` `setExcludesfile(File excludesfile)` Sets the name of the file containing the includes patterns.
`void` `setIncludes(String includes)` Sets the set of include patterns.
`void` `setIncludesfile(File includesfile)` Sets the name of the file containing the includes patterns.
`void` `setTarget(String t)`

### Methods inherited from class org.apache.tools.ant.taskdefs.Ant

`addConfiguredTarget, addPropertyset, addReference, createProperty, getDefaultBuildFile, getNewProject, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, setAntfile, setInheritAll, setInheritRefs, setOutput, setUseNativeBasedir`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### directory

    protected File directory

#### antFile

    protected String antFile

#### target

    protected String target

#### useDefaultExcludes

    protected boolean useDefaultExcludes

#### fileset

    protected org.apache.tools.ant.types.FileSet fileset

### Constructor Detail

#### MultipleAnt

    public MultipleAnt()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Search all files in the directory. Foreach set the antfile on the ant task and execute the ant task.

Overrides:
  `execute` in class `org.apache.tools.ant.taskdefs.Ant`
Throws:
  `org.apache.tools.ant.BuildException`

#### setDir

    public void setDir(File d)

Set the directory where find xml file(s). The field "dir" is required to use this task.

Overrides:
  `setDir` in class `org.apache.tools.ant.taskdefs.Ant`

#### setAntFile

    public void setAntFile(String f)

#### setTarget

    public void setTarget(String t)

Overrides:
  `setTarget` in class `org.apache.tools.ant.taskdefs.Ant`

#### accept

    public boolean accept(File dir,
                 String name)

This method is used to chack if a file is a xml file.

Specified by:
  `accept` in interface `FilenameFilter`

#### createInclude

    public org.apache.tools.ant.types.PatternSet.NameEntry createInclude()

add a name entry on the include list

#### createIncludesFile

    public org.apache.tools.ant.types.PatternSet.NameEntry createIncludesFile()

add a name entry on the include files list

#### createExclude

    public org.apache.tools.ant.types.PatternSet.NameEntry createExclude()

add a name entry on the exclude list

#### createExcludesFile

    public org.apache.tools.ant.types.PatternSet.NameEntry createExcludesFile()

add a name entry on the include files list

#### createPatternSet

    public org.apache.tools.ant.types.PatternSet createPatternSet()

add a set of patterns

#### setIncludes

    public void setIncludes(String includes)

Sets the set of include patterns. Patterns may be separated by a comma or a space.

Parameters:
  `includes` - the string containing the include patterns

#### setExcludes

    public void setExcludes(String excludes)

Sets the set of exclude patterns. Patterns may be separated by a comma or a space.

Parameters:
  `excludes` - the string containing the exclude patterns

#### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

Sets whether default exclusions should be used or not.

Parameters:
  `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

#### getDirectoryScanner

    protected org.apache.tools.ant.DirectoryScanner getDirectoryScanner(File baseDir)

Returns the directory scanner needed to access the files to process.

#### setIncludesfile

    public void setIncludesfile(File includesfile)

Sets the name of the file containing the includes patterns.

Parameters:
  `includesfile` - A string containing the filename to fetch the include patterns from.

#### setExcludesfile

    public void setExcludesfile(File excludesfile)

Sets the name of the file containing the includes patterns.

Parameters:
  `excludesfile` - A string containing the filename to fetch the include patterns from.